#
# spec file for package gsmartcontrol
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gsmartcontrol
Version:        0.9.0
Release:        1.1
License:        GPL-2.0 or GPL-3.0
Summary:        Hard Disk Health Inspection Tool
Group:          Hardware/Other
Url:            http://gsmartcontrol.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{version}/%{name}-%{version}.tar.bz2
Source1:        %{name}-rpmlintrc
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  libstdc++-devel
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(gtkmm-2.4)
BuildRequires:  pkgconfig(libglademm-2.4)
BuildRequires:  pkgconfig(libpcre)
Requires:       pcre
Requires:       smartmontools
Recommends:     xdg-utils
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GSmartControl is a graphical user interface for smartctl, which is a tool for
querying and controlling SMART (Self-Monitoring, Analysis, and Reporting
Technology) data in hard disk drives. It allows you to inspect the drive's
SMART data to determine its health, as well as run various tests on it.

%prep
%setup -q

%build
%configure --docdir=%{_defaultdocdir}/%{name} --enable-optimize-options=auto
make %{?_smp_mflags}

%install
make DESTDIR=%buildroot install-strip

%suse_update_desktop_file %{name}
%fdupes -s %{buildroot}%{_prefix}

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root,-)
%doc %{_defaultdocdir}/%{name}
%{_bindir}/%{name}
%{_bindir}/%{name}-root
%{_mandir}/man1/%{name}.1%{ext_man}
%{_mandir}/man1/%{name}-root.1%{ext_man}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/metainfo
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}.xpm

%changelog
* Tue May 16 2017 joerg.lorenzen@ki.tng.de
- Update to version 0.9.0
  + Implemented (untested) support for Linux-based Areca
    controllers with enclosures.
  + Implemented (untested) support for Windows-based Areca
    controllers (thanks to Richard Kagerer).
  + Implemented (untested) support for Linux-based HP controllers
    with cciss and hpsa/hpahcisr drivers (thanks to
    Fabrice Bacchella).
  + Changes in Preferences no longer fail silently until
    rescan/restart.
  + Better drive detection under Windows after removable drives
    are detached.
  + Windows version is no longer marked as "dpi aware" since it's
    not supported that well.
  + Drive attribute descriptions have been updated (including
    clarifications for SSDs).
  + Added support for SSD-only and HDD-only vendor attributes.
  + Devices having only basic info can be displayed now in the
    info window.
  + Fixed BDRW drive detection (it was detected as a HDD).
  + Other minor improvements.
  + A number of issues have been fixed (including a crash).
* Wed Oct 12 2016 mailaender@opensuse.org
- install licenses
- add missing desktop/icon macros
- recommend xdg-su
* Sun Aug 28 2016 mailaender@opensuse.org
- drop unused and unapplicable gsmartcontrol_parser_crash_fix.diff
* Thu Jun 23 2016 nemysis@openSUSE.org
- Initial package creation
